#
# spec file for package issue-generator
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           issue-generator
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        1.2
Release:        1.2
Summary:        Generates an issue files from different snippets
License:        GPL-2.0+
Group:        	System/Base
URL:		https://github.com/thkukuk/issue-generator
BuildArch:      noarch
Source:         %name-%version.tar.bz2
%{?systemd_requires}

%description
issue-generator is a tool to create an issue file dynamically.

%prep
%setup -q

%build
%configure
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
ln -sf service $RPM_BUILD_ROOT/usr/sbin/rcissue-generator
ln -sf service $RPM_BUILD_ROOT/usr/sbin/rcissue-add-ssh-keys

%pre
%service_add_pre issue-generator.service issue-add-ssh-keys.service

%post
/usr/bin/systemd-tmpfiles --create issue-generator.conf ||:
%service_add_post issue-generator.service issue-add-ssh-keys.service

%preun
%service_del_preun issue-generator.service issue-add-ssh-keys.service

%postun
%service_del_postun issue-generator.service issue-add-ssh-keys.service

%files
%defattr(-,root,root)
%doc NEWS COPYING README.md
%dir /etc/issue.d
%dir /usr/lib/issue.d
%dir /usr/lib/tmpfiles.d
%dir /usr/lib/udev
%dir /usr/lib/udev/rules.d
/usr/lib/tmpfiles.d/issue-generator.conf
/usr/lib/udev/rules.d/90-issue-generator.rules
/usr/lib/systemd/system/issue-add-ssh-keys.service
/usr/lib/systemd/system/issue-generator.service
/usr/sbin/issue-generator
/usr/sbin/rcissue-generator
/usr/sbin/rcissue-add-ssh-keys
%doc %{_mandir}/man5/issue.d.5.gz
%doc %{_mandir}/man8/issue-generator.8.gz
%doc %{_mandir}/man8/90-issue-generator.rules.8.gz
%doc %{_mandir}/man8/issue-add-ssh-keys.service.8.gz
%doc %{_mandir}/man8/issue-generator.conf.8.gz
%doc %{_mandir}/man8/issue-generator.service.8.gz

%changelog
* Fri Nov 25 2016 kukuk@suse.de
- Fix typo in spec file
* Wed Nov 23 2016 kukuk@suse.de
- Update to version 1.2
  - add additional docu
* Tue Nov 15 2016 kukuk@suse.de
- Update to version 1.1
  - fix several typos
  - relead agetty if we modify /run/issue
* Tue Nov 15 2016 kukuk@suse.de
- Use correct systemd macros
* Wed Nov  2 2016 kukuk@suse.de
- Update to version 1.0
* Tue Nov  1 2016 kukuk@suse.de
- Add directories for udev to filelist
* Fri Oct 28 2016 kukuk@suse.de
- Initial version
